Bug 228902 - First character in digital clock cut off in panel
Summary: First character in digital clock cut off in panel
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-clock (show other bugs)
Version: 4.6.3
Platform: Ubuntu Packages Linux
: NOR normal with 24 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 249699 254161 254438 254439 258077 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-02-28 15:58 UTC by Mike Vaughn
Modified: 2018-06-25 03:05 UTC (History)
15 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
The unreadable clock (3.96 KB, image/png)
2010-03-04 15:10 UTC, Martin
Details
The normal clock, after I visited Digital Clock Settings (probably not that interesting...) (4.10 KB, image/png)
2010-03-04 15:11 UTC, Martin
Details
it supposes to be 10:42 am (66.62 KB, image/png)
2010-05-28 09:04 UTC, Zayed Al-Saidi
Details
last chars cut (175.28 KB, image/jpeg)
2010-06-29 08:11 UTC, Eugene Volchek
Details
click inside the box, put some space between "SS" and "AMPM" (2.24 KB, image/png)
2011-06-08 11:32 UTC, lcn.mustard
Details
result (7.55 KB, image/png)
2011-06-08 11:33 UTC, lcn.mustard
Details
Panel clock (96dpi, DejaVu Sans Regular) (5.03 KB, image/png)
2015-01-19 12:49 UTC, Marcus U
Details
Panel clock (120dpi, DejaVu Sans Bold) (5.03 KB, image/png)
2015-01-19 12:49 UTC, Marcus U
Details
Panel clock (96dpi, DejaVu Sans Regular) (9.43 KB, image/png)
2015-01-19 12:52 UTC, Marcus U
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Vaughn 2010-02-28 15:58:22 UTC
Version:            (using KDE 4.4.0)
OS:                Linux
Installed from:    Ubuntu Packages

On my laptop, on which the screen resolution is 1366x768 and the panel is maximized, the first character of the digital clock is always at least partially cut off, at times resulting in the time being unreadable (doesn't happen on my desktop, with a resolution of 1920x1080). Been seeing this since ~ early 4.3.
Comment 1 Martin 2010-03-04 15:06:42 UTC
I have the same problem. At first it was only that the first character was missing, now the digital clock is totally unreadable when I start KDE. Starting digital clock settings and simple klicking Ok makes the clock render correctly, and it stays that way until the next login or reboot (see screenshots).
My screen resolution is 1920x1200. I'm using KDE 4.4.1 from the Ubuntu repositories now, but I had the same issue with older versions.
Comment 2 Martin 2010-03-04 15:10:35 UTC
Created attachment 41326 [details]
The unreadable clock
Comment 3 Martin 2010-03-04 15:11:55 UTC
Created attachment 41327 [details]
The normal clock, after I visited Digital Clock Settings (probably not that interesting...)
Comment 4 Hermann Schwarting 2010-05-03 20:55:33 UTC
I have the same problem as #1 with KDE 4.4.2-1 from Debian experimental.
Comment 5 Zayed Al-Saidi 2010-05-28 08:58:24 UTC
I have same problem in fedora 13 (notebook Lenovo T400) and Kubuntu 10.04  (netbook HP mini) .
Comment 6 Zayed Al-Saidi 2010-05-28 09:04:13 UTC
Created attachment 47413 [details]
it supposes to be 10:42 am
Comment 7 Eugene Volchek 2010-06-29 08:11:00 UTC
Created attachment 48444 [details]
last chars cut

In my case last chars are cut when using a custom font. KDE 4.4 don't adjust the font size automatically any more as it was in 4.3
Comment 8 John Layt 2011-05-25 21:13:25 UTC
Is this still a problem >= KDE 4.5?
Comment 9 John Layt 2011-05-27 19:32:05 UTC
*** Bug 249699 has been marked as a duplicate of this bug. ***
Comment 10 John Layt 2011-05-27 19:34:28 UTC
*** Bug 254161 has been marked as a duplicate of this bug. ***
Comment 11 John Layt 2011-05-27 19:35:11 UTC
*** Bug 254438 has been marked as a duplicate of this bug. ***
Comment 12 John Layt 2011-05-27 19:35:48 UTC
*** Bug 254439 has been marked as a duplicate of this bug. ***
Comment 13 John Layt 2011-05-27 19:36:31 UTC
*** Bug 258077 has been marked as a duplicate of this bug. ***
Comment 14 Michael Reiher 2011-05-27 19:54:07 UTC
(In reply to comment #8)
> Is this still a problem >= KDE 4.5?

Yep, still happens in 4.6.3.
Comment 15 Dario Andres 2011-06-06 01:44:02 UTC
Note that bug 258077 comment 2 contains steps to reproduce the bug (however, I haven't checked them against a newer KDE SC installation ...)
Comment 16 lcn.mustard 2011-06-08 11:31:36 UTC
I solved this problem in my computer doing: in system settings>locate>time & date: in time format, click inside the box, put some space between "SS" and "AMPM" and then delete AMPM. Works for me, maybe help.
Comment 17 lcn.mustard 2011-06-08 11:32:30 UTC
Created attachment 60775 [details]
click inside the box, put some space between "SS" and "AMPM"
Comment 18 lcn.mustard 2011-06-08 11:33:34 UTC
Created attachment 60776 [details]
result
Comment 19 Mike Vaughn 2011-06-08 19:00:30 UTC
(In reply to comment #18)
> Created an attachment (id=60776) [details]
> result

While that does "solve" the problem, it's hardly a very practical workaround. All that extra space is wasting a lot of pixels on the panel (not to mention it looks awful). Also, as silly as it sounds, the time without the AM/PM just doesn't look right to me. I'm much more content doing these steps once per log-in: right-click the clock -> Digital Clock Settings (or Adjustable Clock Settings, as this bug affects that widget as well) -> OK -> left-click the clock...
But I guess for someone that doesn't care about my little nit-picks, yours is a viable solution. :)
On a side-note/bitchy rant/tangent, it's really hard for me to believe this bug still exists a full year and three months after being reported. For all the amazing and complex things Plasma can do, how is it that properly displaying the time presents it with such difficulty?
Comment 20 Yichao Zhou 2012-01-12 14:44:48 UTC
In my computer, the problem can be worked around by just adjust the height of the task bar bigger.  (If you can't reprocedure this, you can try to adjust it smaller)  Since clock is essential for most user's system, maybe the developer can put a little more attention to this bug?  This bug has lasted for 2 years.
Comment 21 Maxim Vasilyev 2014-03-10 10:03:35 UTC
I'm using Debian Testing with KDE 4.11 and I noticed that the 1st digit is cut off when using non-default fonts system-wide (e. g. Droid instead of Deja Vu). After reverting the settings for fonts in systemsettings, the problem is gone for me. Might be related to font rendering in Linux, the widget seems to fail to update its width _properly_.
Comment 22 Yichao Zhou 2014-03-18 12:52:24 UTC
Here is my review request on this bug:  https://git.reviewboard.kde.org/r/115431/

I have almost forgotten this.
Comment 23 Marcus U 2015-01-19 12:27:37 UTC
Can confirm this is still happening on KDE 4.14.2 - with higher font DPI, the problem is even worse (at 120dp instead of the default 96, the AM/PM bit is chopped off altogether).
Comment 24 Marcus U 2015-01-19 12:49:02 UTC
Created attachment 90508 [details]
Panel clock (96dpi, DejaVu Sans Regular)
Comment 25 Marcus U 2015-01-19 12:49:40 UTC
Created attachment 90509 [details]
Panel clock (120dpi, DejaVu Sans Bold)
Comment 26 Marcus U 2015-01-19 12:52:23 UTC
Created attachment 90510 [details]
Panel clock (96dpi, DejaVu Sans Regular)

Uploaded wrong image, this is the correct 96dpi version.
Comment 27 Nate Graham 2018-06-08 18:28:07 UTC
Hello!

This bug report was filed for KDE Plasma 4, which reached end-of-support status in August 2015. KDE Plasma 5's desktop shell has been almost completely rewritten for better performance and usability, so it is likely that this bug has already been resolved in Plasma 5.

Accordingly, we hope you understand why we must close this bug report. If the issue described  here is still present in KDE Plasma 5.12 or later, please feel free to open a new ticket in the "plasmashell" product after reading https://community.kde.org/Get_Involved/Bug_Reporting

If you would like to get involved in KDE's bug triaging effort so that future mass bug closes like this are less likely, please read https://community.kde.org/Get_Involved#Bug_Triaging

Thanks for your understanding!

Nate Graham
Comment 28 Caleb Cushing 2018-06-25 03:05:23 UTC
and this is why I've abandoned KDE
On Fri, Jun 8, 2018 at 1:28 PM Nate Graham <bugzilla_noreply@kde.org> wrote:
>
> https://bugs.kde.org/show_bug.cgi?id=228902
>
> Nate Graham <nate@kde.org> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>          Resolution|---                         |UNMAINTAINED
>              Status|CONFIRMED                   |RESOLVED
>
> --- Comment #27 from Nate Graham <nate@kde.org> ---
> Hello!
>
> This bug report was filed for KDE Plasma 4, which reached end-of-support status
> in August 2015. KDE Plasma 5's desktop shell has been almost completely
> rewritten for better performance and usability, so it is likely that this bug
> has already been resolved in Plasma 5.
>
> Accordingly, we hope you understand why we must close this bug report. If the
> issue described  here is still present in KDE Plasma 5.12 or later, please feel
> free to open a new ticket in the "plasmashell" product after reading
> https://community.kde.org/Get_Involved/Bug_Reporting
>
> If you would like to get involved in KDE's bug triaging effort so that future
> mass bug closes like this are less likely, please read
> https://community.kde.org/Get_Involved#Bug_Triaging
>
> Thanks for your understanding!
>
> Nate Graham
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.